Die Spezifikationskomponente Datenprüfprogramm wird zur Validierung der Datenlieferungen verwendet. Das Datenprüfprogramm (DPP) protokolliert alle Prüfergebnisse mit OK, WARNING oder ERROR und den entsprechenden Fehlermeldungen.  
  
Programmaufruf zur Prüfung der Exportmodule F_SA, F_SA23 und FFXE:  
* Doppelklick auf datenpruefprogramm_LE_data_flow_LE_BAS.bat  
  
Programmaufruf zur Prüfung der Exportmodule F_NW:  
* Doppelklick auf datenpruefprogramm_LE_data_flow_LE_LVKK.bat  
  
Das Prüfergebnis kann mit der Output-Datei  
\output\html\index.html  
in jedem beliebigen Internetbrowser angezeigt werden.  
  
Voraussetzung:  
* Codierung der Inputdateien: UTF-8  
  
Warum wird das DPP mit weichen Schemata aufgerufen?  
Weiche Schemata haben dieselbe XML-Struktur wie nicht-weiche Schemata. Allerdings sind in den weichen Schemata alle Attribute der Kindelemente von case/qs_data - also die Werte der Exportfelder - optional und vom Typ xs:anySimpleType. Dadurch führt ein Datum wie "31.02.2000" nicht zu einer Schemaverletzung und zum alleinigen protokollierten Fehler in einem Datenflussprotokoll. Durch die weichen Schemata kann mit der Spezifikationskomponente Datenprüfprogramm die Plausibilität (QSDOK.vPruefung, QSDOK.Regeln) der Daten vollständig protokolliert werden. Die Schemavalidierung selbst ersetzt das Datenprüfprogramm durch XSL. Das Datenprüfprogramm würde das Datum "31.02.2000" bspw. testen mit "castable as xs:date" und protokollieren mit "Der Wert '31.02.2000' des Datenfeldes FFX:C:STICHTAG "Stichtag" ist kein gültiges Datum.".  
  
Was prüft das DPP zusätzlich im Vergleich zu einer Schemavalidierung?  
* Format, Grenzwerte und Existenz der Exportfelder  
  * Kann-Felder sind als bedingte MUSS-Felder zu verstehen. Diese Beziehungen sind bspw. in QSDOK.Regeln definiert und im Datenprüfprogramm bzw. in der Dokumentationssoftware des Leistungserbringers implementiert.  
* Regeln aus der Tabelle QSDOK.Regeln mit gueltigNachExport = true oder deren referenzierten QSDOK.MehrfachRegel  
* administrative Prüfungen aus QSDOK.vPruefung mit der Eigenschaft dpp = true  
  
Mehr Infos in der Spezifikationskomponente TechDok in den Abschnitten:  
* Datenprüfprogramm und  
* Prozesse in den Datenannahmestellen  
  
  
